package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/10/20 10:53
 */
@Getter
@Setter
public class LogTestVO {
    private String msg;
    //0:正常，1:抛错，2:子方法放入参数
    @NotNull
    private Integer type = 0;
    @NotNull(message = "请输入医院id")
    private Long hospitalId;
    /**
     * 病人唯一标识（病人id、病历号等）
     */
    private String patientId;
    /**
     * 子医院编码
     */
    private String subHospitalCode;

    /**
     * 子医院名称
     */
    private String subHospitalName;
}
